# matrix-dimension

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: latest](https://img.shields.io/badge/AppVersion-latest-informational?style=flat-square)

An open source integrations manager for matrix clients, like Riot.

**Homepage:** <https://www.github.com/turt2live/matrix-dimension>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://www.github.com/turt2live/matrix-dimension>
* <https://hub.docker.com/r/turt2live/matrix-dimension>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.admins[0] | string | `"@someone:domain.com"` |  |
| config.database.botData | string | `"dimension.bot.json"` |  |
| config.database.file | string | `"dimension.db"` |  |
| config.dimension.publicUrl | string | `"https://dimension.example.org"` |  |
| config.goneb.avatars.circleci | string | `"mxc://t2bot.io/cf7d875845a82a6b21f5f66de78f6bee"` |  |
| config.goneb.avatars.echo | string | `"mxc://t2bot.io/3407ff2db96b4e954fcbf2c6c0415a13"` |  |
| config.goneb.avatars.giphy | string | `"mxc://t2bot.io/c5eaab3ef0133c1a61d3c849026deb27"` |  |
| config.goneb.avatars.github | string | `"mxc://t2bot.io/905b64b3cd8e2347f91a60c5eb0832e1"` |  |
| config.goneb.avatars.google | string | `"mxc://t2bot.io/636ad10742b66c4729bf89881a505142"` |  |
| config.goneb.avatars.guggy | string | `"mxc://t2bot.io/e7ef0ed0ba651aaf907655704f9a7526"` |  |
| config.goneb.avatars.imgur | string | `"mxc://t2bot.io/6749eaf2b302bb2188ae931b2eeb1513"` |  |
| config.goneb.avatars.jira | string | `"mxc://t2bot.io/f4a38ebcc4280ba5b950163ca3e7c329"` |  |
| config.goneb.avatars.rss | string | `"mxc://t2bot.io/aace4fcbd045f30afc1b4e5f0928f2f3"` |  |
| config.goneb.avatars.travisci | string | `"mxc://t2bot.io/7f4703126906fab8bb27df34a17707a8"` |  |
| config.goneb.avatars.wikipedia | string | `"mxc://t2bot.io/7edfb54e9ad9e13fec0df22636feedf1"` |  |
| config.homeserver.accessToken | string | `"something"` |  |
| config.homeserver.clientServerUrl | string | `"https://t2bot.io"` |  |
| config.homeserver.name | string | `"t2bot.io"` |  |
| config.logging.console | bool | `true` |  |
| config.logging.consoleLevel | string | `"info"` |  |
| config.logging.file | string | `"logs/dimension.log"` |  |
| config.logging.fileLevel | string | `"verbose"` |  |
| config.logging.rotate.count | int | `5` |  |
| config.logging.rotate.size | int | `52428800` |  |
| config.stickers.enabled | bool | `true` |  |
| config.stickers.managerUrl | string | `"https://stickers.t2bot.io"` |  |
| config.stickers.stickerBot | string | `"@stickers:t2bot.io"` |  |
| config.telegram.botToken | string | `"YourTokenHere"` |  |
| config.web.address | string | `"0.0.0.0"` |  |
| config.web.port | int | `8184` |  |
| config.widgetBlacklist[0] | string | `"10.0.0.0/8"` |  |
| config.widgetBlacklist[1] | string | `"172.16.0.0/12"` |  |
| config.widgetBlacklist[2] | string | `"192.168.0.0/16"` |  |
| config.widgetBlacklist[3] | string | `"127.0.0.0/8"` |  |
| database_uri | string | `nil` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"turt2live/matrix-dimension"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.ingressClassName | string | `nil` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `nil` |  |
| persistence.size | string | `"1Gi"` |  |
| persistence.skipuninstall | bool | `false` |  |
| persistence.storageClassName | string | `nil` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `8184` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
